Subject: Re: [PATCH 0/3] git-prompt: add quiet upstream indicator option

From: Junio C Hamano <[email-masked]>
Date: Sun, 16 Nov 2025 08:55:44 -0800

Kiril Ivanov <[email-masked]> writes:

> Junio C Hamano <[email-masked]> wrote:
>
>> ... (this is a reaction to seeing
>> some bash-isms in these patches.  No complaints here, as the test
>> script is all about the command line prompt feature to be used with
>> bash and nothing else).
>
> Actually, this got me reconsidering.  The prompt feature claims at least
> to support zsh in addition to bash, and it has had modifications to make
> it more compliant:
>
> <[email-masked]>
>
>> After this patchset, the following shells work: bash, zsh, dash (since at
>> least 0.5.8), free/net bsd sh, busybox-ash, mksh, openbsd sh, pdksh(!),
>> Schily extended Bourne sh (bosh), yash.
>
> And the test seems to run successfully under 'sh' in master with:
> -. ./lib-bash.sh
> +. ./test-lib.sh
> (Passes normally, and fails when the 'expected' strings are clobbered.)

Ah, good finding.  So the inclusion of lib-bash.sh there is wrong,
and we shouldn't expect that we'd always run under bash.

> ... Which is all to say that the bash-isms may be undesirable even here.

You're right.  Thanks for correcting me.